Subject: [bug#76619] [PATCH] gnu: home: services: Add 'wayland-display' service.

From: Sören Tempel <[email-masked]>
Date: Fri, 11 Jul 2025 20:55:41 +0200

Hi!

I was just looking into having my wayland-dependent services supervised
by the Shepherd and come across this issue.

Hilton Chain <[email-masked]> wrote:
> Currently to have a fully-functional setup, you'll need to disable
> auto starting of ‘home-shepherd-service-type’ and start Shepherd via
> Wayland compositor to have all needed environment variables passed to
> Shepherd.

Is that still the best way to achieve this? If so: How do I do that? Of
cause I can patch home-shepherd-service-type in the monorepo and change
the default value of the `auto-start?` property, but is there a better
way which doesn't require me doing that? Should we maybe also document
this in the manual?

Greetings
Sören